Security Enhanced Linux Reference Policy

# Layer: services

## Module: incus

Tunables Interfaces

### Description:

Policy for incus

### Tunables:

incus_lxc_legacy_mounts

##### Default value

false

##### Description

Allow incusd to mount filesystems inside lxc containers that might be required by some legacy init systems.

Return

### Interfaces:

incus_admin( domain , role )

##### Summary

All of the rules required to administrate a incus environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

incus_container( domain )

##### Summary

Associated the specified domain to be a domain which is capable of operating as a container domain which can be controlled by incus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

incus_domtrans_cli( domain )

##### Summary

Execute incus CLI in the incus CLI domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

incus_domtrans_user_cli( domain )

##### Summary

Execute incus CLI in the incus CLI user domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

incus_entry_type( domain )

##### Summary

Make incusd executable files an entrypoint for the specified domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The domain for which incusd_exec_t is an entrypoint.

incus_run_cli( domain , role )

##### Summary

Execute incus CLI in the incus CLI domain, and allow the specified role the incus CLI domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | The role to be allowed the incus domain.

incus_run_user_cli( domain , role )

##### Summary

Execute incus CLI in the incus CLI user domain, and allow the specified role the incus CLI user domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | The role to be allowed the incus user domain.

incus_stream_connect_daemon( domain )

##### Summary

Connect to the incus daemon

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return